Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Interface ActionFactory

All Known Implementing Classes:
  AbstractCurve, PicGroup, PicParallelogram, PicPsCurve, PicSmoothPolygon

public interface ActionFactory

Allows an Element, in interaction with a PopupMenuFactory, to produce Action's that make sense only with this Element.

Since:
  jPicEdt 1.3.2
Version:
  $Id: ActionFactory.java,v 1.6.2.1 2007/09/02 11:56:27 reynal Exp $
Author:
  Sylvain Reynal

Method Summary
`PEAction[]` | `createActions(ActionDispatcher actionDispatcher, ActionLocalizer localizer, HitInfo hi)` Create an array of PEAction's related to the Element

Method Detail

### createActions

    public PEAction[] createActions(ActionDispatcher actionDispatcher,
                                    ActionLocalizer localizer,
                                    HitInfo hi)

  Create an array of PEAction's related to the Element

  Parameters:
    `actionDispatcher` - dispatcher used to create a PEAction
    `localizer` - used to localizer action parameters
    `hi` - a HitInfo containing information related to the mouse-event which triggered the popup menu.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org